Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.rpc
Interface ServiceDefTarget

    public interface ServiceDefTarget

An interface implemented by client-side RPC proxy objects. Cast the object returned from `GWT.create(Class)` on a `RemoteService` should be cast to this interface to initialize the target URL for the remote service.

Nested Class Summary
`static class` | `ServiceDefTarget.NoServiceEntryPointSpecifiedException` This exception is thrown when a service is invoked without `setServiceEntryPoint(String)` having been called.

Method Summary
`java.lang.String` | `getServiceEntryPoint()` Gets the URL of a service implementation.
`void` | `setServiceEntryPoint(java.lang.String address)` Sets the URL of a service implementation.

Method Detail

### getServiceEntryPoint

    java.lang.String getServiceEntryPoint()

  Gets the URL of a service implementation.

  Returns:
    the last value passed to `setServiceEntryPoint(String)`

### setServiceEntryPoint

    void setServiceEntryPoint(java.lang.String address)

  Sets the URL of a service implementation.

  Parameters:
    `address` - a URL that designates the service implementation to call

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD